<!DOCTYPE html>
<html lang="en">
  <head>
    <title>EventLogController Class Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
    <script src="../js/lunr.min.js" defer></script>
    <script src="../js/typeahead.jquery.js" defer></script>
    <script src="../js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/swift/Class/EventLogController" class="dashAnchor"></a>
    <a title="EventLogController Class Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html"> 1.0 Docs</a> (12% documented)</p>
        <div class="header-right">
          <form role="search" action="../search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html"> Reference</a>
        <img id="carat" src="../img/carat.png" alt=""/>
        EventLogController Class Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/ApiController.html">ApiController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ApiHandler.html">ApiHandler</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ApplicationController.html">ApplicationController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/Connectivity.html">Connectivity</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/DALCapture.html">DALCapture</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/DatabaseManagerSingleton.html">DatabaseManagerSingleton</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/DiskStatusController.html">DiskStatusController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/EventLogController.html">EventLogController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/InstructionView.html">InstructionView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/LocationManager.html">LocationManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/Logger.html">Logger</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/LoggerDatabase.html">LoggerDatabase</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/LoggerWrapper.html">LoggerWrapper</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/LogsHandler.html">LogsHandler</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MSSocket.html">MSSocket</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ODSocket.html">ODSocket</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ProgressHUD.html">ProgressHUD</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RamStatusController.html">RamStatusController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ReadObjectFromFileModal.html">ReadObjectFromFileModal</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SocketConfigure.html">SocketConfigure</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ThemeConfig.html">ThemeConfig</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Enums/AlertIcon.html">AlertIcon</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/AnimatedIcon.html">AnimatedIcon</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/AnimationType.html">AnimationType</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/CaptureException.html">CaptureException</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/Code.html">Code</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/CodextendedDecodingError.html">CodextendedDecodingError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/Network.html">Network</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/RetryOptions.html">RetryOptions</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/Status.html">Status</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/StatusType.html">StatusType</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/StringHandler.html">StringHandler</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Extensions/Bundle.html">Bundle</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/CALayer.html">CALayer</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/CharacterSet.html">CharacterSet</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/Data.html">Data</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/Date.html">Date</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions.html#/c:objc(cs)NSDateFormatter">DateFormatter</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/Decoder.html">Decoder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/Dictionary.html">Dictionary</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/Double.html">Double</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/Encodable.html">Encodable</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/Encoder.html">Encoder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions.html#/c:objc(cs)NSISO8601DateFormatter">ISO8601DateFormatter</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions.html#/s:10Foundation11JSONDecoderC">JSONDecoder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions.html#/s:10Foundation11JSONEncoderC">JSONEncoder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions.html#/s:10Foundation19PropertyListDecoderC">PropertyListDecoder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions.html#/s:10Foundation19PropertyListEncoderC">PropertyListEncoder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/Session.html">Session</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/String.html">String</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/UIApplication.html">UIApplication</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/UIDevice.html">UIDevice</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/UIImage.html">UIImage</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/UIImageView.html">UIImageView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/UIImageView/ImageStore.html">– ImageStore</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/UIView.html">UIView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Extensions/UIViewController.html">UIViewController</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Functions.html">Functions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core9JsonToMap5valueSDySSypGSo8NSObjectC_tF">JsonToMap(value:)</a>
              </li>
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core6buffer4fromSo11CVBufferRefaSgSo7UIImageC_tF">buffer(from:)</a>
              </li>
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core7convert5cmageSo7UIImageCSo7CIImageC_tF">convert(cmage:)</a>
              </li>
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core11currentDateSSyF">currentDate()</a>
              </li>
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core24currentTimeInMilisecondsSiSgyF">currentTimeInMiliseconds()</a>
              </li>
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core21generateImageWithText4text5imageSo7UIImageCSgSS_AFtF">generateImageWithText(text:image:)</a>
              </li>
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core19getCurrentShortDateSSyF">getCurrentShortDate()</a>
              </li>
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core19getCurrentShortTimeSSyF">getCurrentShortTime()</a>
              </li>
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core25getCurrentShortTimewithAPSSyF">getCurrentShortTimewithAP()</a>
              </li>
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core18hexStringToUIColor0B0So0E0CSS_tF">hexStringToUIColor(hex:)</a>
              </li>
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core11resizeImage5image10targetSizeSo7UIImageCSgAF_So6CGSizeVtF">resizeImage(image:targetSize:)</a>
              </li>
              <li class="nav-group-task">
                <a href="../Functions.html#/s:4core16timeConversion126time24S2S_tF">timeConversion12(time24:)</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/AnyDateFormatter.html">AnyDateFormatter</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/AnyDecoder.html">AnyDecoder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/AnyEncoder.html">AnyEncoder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/InstructionActionDelegate.html">InstructionActionDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/MSSocketCallBack.html">MSSocketCallBack</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/ODSocketCallBack.html">ODSocketCallBack</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/SocketConnectionCallBack.html">SocketConnectionCallBack</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Structs/DisplayableError.html">DisplayableError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ErrorMessage.html">ErrorMessage</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/HealthCheckModel.html">HealthCheckModel</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/HealthCheckModel/CodingKeys.html">– CodingKeys</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/LocalizableStrings.html">LocalizableStrings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/LogDetails.html">LogDetails</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/LogLevel.html">LogLevel</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ModalLogDetails.html">ModalLogDetails</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/PageSequence.html">PageSequence</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/PayloadData.html">PayloadData</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/PheonixODModel.html">PheonixODModel</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/PheonixODScokets.html">PheonixODScokets</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/Statistics.html">Statistics</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/Statistics/CodingKeys.html">– CodingKeys</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/WebrtcStats.html">WebrtcStats</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:4core25locationCompletionHandlera">locationCompletionHandler</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>EventLogController</h1>
              <div class="declaration">
                <div class="language">
                  
                  <pre class="highlight swift"><code><span class="kd">class</span> <span class="kt">EventLogController</span> <span class="p">:</span> <span class="kt">NSObject</span></code></pre>

                </div>
              </div>
            <p>Undocumented</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@core@objc(cs)EventLogController(cm)write:"></a>
                    <a name="//apple_ref/swift/Method/write(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@core@objc(cs)EventLogController(cm)write:">write(_:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Appends the given string to the stream.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">class</span> <span class="kd">func</span> <span class="nf">write</span><span class="p">(</span><span class="n">_</span> <span class="nv">string</span><span class="p">:</span> <span class="kt">String</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@core@objc(cs)EventLogController(cm)getDeviceDetails"></a>
                    <a name="//apple_ref/swift/Method/getDeviceDetails()" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@core@objc(cs)EventLogController(cm)getDeviceDetails">getDeviceDetails()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">class</span> <span class="kd">func</span> <span class="nf">getDeviceDetails</span><span class="p">()</span> <span class="o">-&gt;</span> <span class="kt">String</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>Copyright message here</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external noopener">jazzy ♪♫ v0.14.1</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external noopener">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</html>
